Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.exchange
Interface MessageExchange

All Known Implementing Classes:
  AbstractMessageExchange, InExchange, RobustInOutExchange

    public interface MessageExchange

A MessageExchange encapsulates the orchestration of a message exchange pattern. This makes it easy to handle various interactions - like robust in-out, robust in, in, out, WS-Addressing MEPs, etc.

Author:
  Dan Diephouse

Method Summary
`AbstractMessage` | `getFaultMessage()`
`InMessage` | `getInMessage()`
`AbstractMessage` | `getMessage(java.lang.String type)`
`OperationInfo` | `getOperation()`
`OutMessage` | `getOutMessage()`
`boolean` | `hasFaultMessage()`
`boolean` | `hasInMessage()`
`boolean` | `hasMessage(java.lang.String type)`
`boolean` | `hasOutMessage()`
`void` | `setFaultMessage(AbstractMessage faultMessage)`
`void` | `setInMessage(InMessage inMessage)`
`void` | `setMessage(java.lang.String type, AbstractMessage faultMessage)`
`void` | `setOperation(OperationInfo operation)`
`void` | `setOutMessage(OutMessage outMessage)`

Method Detail

### setOperation

    void setOperation(OperationInfo operation)

### getOperation

    OperationInfo getOperation()

### getInMessage

    InMessage getInMessage()

### setInMessage

    void setInMessage(InMessage inMessage)

### hasInMessage

    boolean hasInMessage()

### getOutMessage

    OutMessage getOutMessage()

### setOutMessage

    void setOutMessage(OutMessage outMessage)

### hasOutMessage

    boolean hasOutMessage()

### getFaultMessage

    AbstractMessage getFaultMessage()

### setFaultMessage

    void setFaultMessage(AbstractMessage faultMessage)

### hasFaultMessage

    boolean hasFaultMessage()

### getMessage

    AbstractMessage getMessage(java.lang.String type)

### setMessage

    void setMessage(java.lang.String type,
                    AbstractMessage faultMessage)

### hasMessage

    boolean hasMessage(java.lang.String type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.